from django import template
from django.db import models
from django.template import Context, loader
from django.conf import settings

register = template.Library()

def do_get_analytics(parser, token):
    try:
        tag_name, code = token.split_contents()
    except ValueError:
        raise template.TemplateSyntaxError, "%r tag requires a valid Analytics code" % tag_name
   
    if not (code[0] == code[-1] and code[0] in ('"', "'")):
        raise template.TemplateSyntaxError, "%r tag's argument should be in quotes" % tag_name
    code = code[1:-1]
    return AnalyticsNode(code)
    
class AnalyticsNode(template.Node):
    def __init__(self, code=None):
        self.code = code
        
    def render(self, context):
        if not getattr(settings, "DEBUG"):
            content = ''
            code = self.code.strip()
        
            if code != '':
                t = loader.get_template('google/analytics.html')
                c = Context({
                    'analytics_code': code,
                })
                return t.render(c)
        else:
            return ''
        
register.tag('analytics', do_get_analytics)